
Infrastructure - Bug #1802

getChecksum returning ServiceFailure on gmn-dev

2011-09-22 20:43 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2011.43-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Not sure what's going on, but below is the ServiceFailure message:

the actual rest call: GET  

https://gmn-dev.test.dataone.org/mn/v1/checksum/__test_object_valid_eml__knb-lter-luq.76.2__?checksumAlgorithm=MD5

java.lang.AssertionError: for host: https://gmn-dev.test.dataone.org/mn/v1:: ServiceFailure:: Traceback (most recent call last):

File "/var/local/dataone/mn_generic/service/../service/mn/middleware/view_handler.py", line 126, in process_view

response = view_func(request, *view_args, **view_kwargs)

File "/var/local/dataone/mn_generic/service/../service/mn/lock_pid.py", line 110, in wrap

return f(request, pid, *args, **kwargs)

File "/var/local/dataone/mn_generic/service/../service/mn/auth.py", line 387, in wrap

return f(request, pid, *args, **kwargs)

File "/var/local/dataone/mn_generic/service/../service/mn/views.py", line 422, in checksum_pid

checksum_ser = d1_common.types.checksum_serialization.Checksum(checksum)

AttributeError: 'module' object has no attribute 'checksum_serialization'

at org.junit.Assert.fail(Assert.java:91)

at org.dataone.integration.it.ContextAwareTestCaseDataone$4.call(ContextAwareTestCaseDataone.java:

278)

at org.junit.rules.ErrorCollector.checkSucceeds(ErrorCollector.java:70)

at org.dataone.integration.it.ContextAwareTestCaseDataone.handleFail(ContextAwareTestCaseDataone.j

ava:273)

at org.dataone.integration.it.MNodeTier1IT.testMNRead_GetChecksum(MNodeTier1IT.java:389)

History

#1 - 2011-09-22 21:00 - Rob Nahf

- Category set to d1_mn_GMN

- Assignee set to Roger Dahl

#2 - 2011-10-10 15:14 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.38-Block.5 to Sprint-2011.41-Block.5

- Position deleted (18)

#3 - 2011-10-25 16:25 - Roger Dahl

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Target version changed from Sprint-2011.41-Block.5 to Sprint-2011.43-Block.6

#4 - 2011-10-31 17:19 - Roger Dahl

- Status changed from New to Closed
